Kea: isc::dns::RRParamRegistryImpl Struct Reference

| Kea 3.2.0-git

isc::dns::RRParamRegistryImpl Struct Reference

The `RRParamRegistryImpl` class is the actual implementation of `RRParamRegistry`. More...

## Public Attributes
CodeRRClassMap | code2classmap
| Mappings from textual representations of RR classes to integer codes.
CodeRRTypeMap | code2typemap
| Mappings from textual representations of RR types to integer codes.
GenericRdataFactoryMap | genericrdata_factories
RdataFactoryMap | rdata_factories
StrRRClassMap | str2classmap
| Mappings from RR class codes to textual representations.
StrRRTypeMap | str2typemap
| Mappings from RR type codes to textual representations.

## Detailed Description

The `RRParamRegistryImpl` class is the actual implementation of `RRParamRegistry`.

The implementation is hidden from applications. We can refer to specific members of this class only within the implementation source file.

Definition at line 181 of file rrparamregistry.cc.

## Member Data Documentation

## ◆ code2classmap

CodeRRClassMap isc::dns::RRParamRegistryImpl::code2classmap

Mappings from textual representations of RR classes to integer codes.

Definition at line 189 of file rrparamregistry.cc.

## ◆ code2typemap

CodeRRTypeMap isc::dns::RRParamRegistryImpl::code2typemap

Mappings from textual representations of RR types to integer codes.

Definition at line 185 of file rrparamregistry.cc.

## ◆ genericrdata_factories

GenericRdataFactoryMap isc::dns::RRParamRegistryImpl::genericrdata_factories

Definition at line 191 of file rrparamregistry.cc.

## ◆ rdata_factories

RdataFactoryMap isc::dns::RRParamRegistryImpl::rdata_factories

Definition at line 190 of file rrparamregistry.cc.

## ◆ str2classmap

StrRRClassMap isc::dns::RRParamRegistryImpl::str2classmap

Mappings from RR class codes to textual representations.

Definition at line 187 of file rrparamregistry.cc.

## ◆ str2typemap

StrRRTypeMap isc::dns::RRParamRegistryImpl::str2typemap

Mappings from RR type codes to textual representations.

Definition at line 183 of file rrparamregistry.cc.

The documentation for this struct was generated from the following file:

- rrparamregistry.cc